Package org.wso2.carbon.registry.admin.api.governance

## Interface IListMetadataService<ServiceBean,​WSDLBean,​PolicyBean,​SchemaBean>

- Type Parameters:
    `ServiceBean` - a bean containing the list of services on the repository.
    `WSDLBean` - a bean containing the list of WSDLs on the repository.
    `PolicyBean` - a bean containing the list of policies on the repository.
    `SchemaBean` - a bean containing the list of schema on the repository.

      public interface IListMetadataService<ServiceBean,​WSDLBean,​PolicyBean,​SchemaBean>

  This provides functionality to list metadata information on the repository, and display them on the Management Console.
  Statistics:
  - listservices
  - listwsdls
  - listpolicies
  - listschema

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getAllLifeCycleState​(String LCName)` | Get all the states from the LC
    `PolicyBean` | `listpolicies()` | Method to list the policies on the repository.
    `SchemaBean` | `listschema()` | Method to list the schema on the repository.
    `ServiceBean` | `listservices​(String criteria)` | Method to list the services on the repository.
    `WSDLBean` | `listwsdls()` | Method to list the WSDLs on the repository.

- - ### Method Detail

    - #### listservices

          ServiceBean listservices​(String criteria)
                            throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to list the services on the repository.
      Parameters:
        `criteria` - the filter criteria to be used should be a valid XML, which confirms to the service configuration defined through `IConfigureServiceUIService`.
      Returns:
        a bean containing the list of services on the repository.
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.

    - #### listwsdls

          WSDLBean listwsdls()
                      throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to list the WSDLs on the repository.
      Returns:
        a bean containing the list of WSDLs on the repository.
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.

    - #### listpolicies

          PolicyBean listpolicies()
                           throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to list the policies on the repository.
      Returns:
        a bean containing the list of policies on the repository.
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.

    - #### listschema

          SchemaBean listschema()
                         throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to list the schema on the repository.
      Returns:
        a bean containing the list of schema on the repository.
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.

    - #### getAllLifeCycleState

          String[] getAllLifeCycleState​(String LCName)

      Get all the states from the LC
      Parameters:
        `LCName` - LC name
      Returns:
        array of LC states